## ros-crystal-rosbag2-storage 0.0.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rosbag2_storage)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic -Werror)
endif()

find_package(ament_cmake REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rcutils REQUIRED)
find_package(yaml_cpp_vendor REQUIRED)

add_library(
  rosbag2_storage
  SHARED
  src/rosbag2_storage/metadata_io.cpp
  src/rosbag2_storage/ros_helper.cpp
  src/rosbag2_storage/storage_factory.cpp)
target_include_directories(rosbag2_storage PUBLIC include)
ament_target_dependencies(
  rosbag2_storage
  pluginlib
  rcutils
  yaml_cpp_vendor)

# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(rosbag2_storage PRIVATE "ROSBAG2_STORAGE_BUILDING_DLL")

# prevent pluginlib from using boost
target_compile_definitions(rosbag2_storage PUBLIC "PLUGINLIB__DISABLE_BOOST_FUNCTIONS")

install(
  DIRECTORY include/
  DESTINATION include)

install(
  TARGETS rosbag2_storage
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME})

ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})
ament_export_dependencies(yaml_cpp_vendor)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  find_package(ament_cmake_gmock REQUIRED)
  find_package(rosbag2_test_common REQUIRED)

  ament_lint_auto_find_test_dependencies()

  add_library(
    test_plugin
    SHARED
    test/rosbag2_storage/test_plugin.cpp
    test/rosbag2_storage/test_read_only_plugin.cpp)
  target_link_libraries(test_plugin rosbag2_storage)
  install(
    TARGETS test_plugin
    ARCHIVE DESTINATION lib
    LIBRARY DESTINATION lib
    RUNTIME DESTINATION bin)
  pluginlib_export_plugin_description_file(rosbag2_storage test/rosbag2_storage/test_plugin.xml)

  ament_add_gmock(test_storage_factory
    test/rosbag2_storage/test_storage_factory.cpp)
  if(TARGET test_storage_factory)
    target_include_directories(test_storage_factory PRIVATE include)
    target_link_libraries(test_storage_factory rosbag2_storage)
  endif()

  ament_add_gmock(test_ros_helper
    test/rosbag2_storage/test_ros_helper.cpp)
  if(TARGET test_ros_helper)
    target_include_directories(test_ros_helper PRIVATE include)
    target_link_libraries(test_ros_helper rosbag2_storage)
  endif()

  ament_add_gmock(test_metadata_serialization
    test/rosbag2_storage/test_metadata_serialization.cpp)
  if(TARGET test_metadata_serialization)
    target_include_directories(test_metadata_serialization PRIVATE include)
    target_link_libraries(test_metadata_serialization rosbag2_storage)
    ament_target_dependencies(test_metadata_serialization rosbag2_test_common)
  endif()

  ament_add_gmock(test_filesystem_helper
    test/rosbag2_storage/test_filesystem_helper.cpp)
  if(TARGET test_filesystem_helper)
    target_include_directories(test_filesystem_helper PRIVATE include)
    target_link_libraries(test_filesystem_helper rosbag2_storage)
    ament_target_dependencies(test_filesystem_helper rosbag2_test_common)
  endif()
endif()

ament_package(
  CONFIG_EXTRAS cmake/rosbag2_storage_register_storage_plugin.cmake)

=== debian/changelog ===
ros-crystal-rosbag2-storage (0.0.7-0bionic) bionic; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 08 Apr 2019 07:00:00 -0000

ros-crystal-rosbag2-storage (0.0.6-0bionic) bionic; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Wed, 27 Feb 2019 08:00:00 -0000

ros-crystal-rosbag2-storage (0.0.5-0bionic) bionic; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 27 Dec 2018 08:00:00 -0000

ros-crystal-rosbag2-storage (0.0.4-0bionic) bionic; urgency=high

  * 0.0.3
  * Play old bagfiles (#69 <https://github.com/bsinno/rosbag2/issues/69>)
  * Contributors: Karsten Knese, Martin Idel

 -- Karsten Knese <karsten@openrobotics.org>  Wed, 19 Dec 2018 08:00:00 -0000

ros-crystal-rosbag2-storage (0.0.2-0bionic) bionic; urgency=high

  * update maintainer email
  * Contributors: Karsten Knese

 -- Karsten Knese <karsten@openrobotics.org>  Wed, 12 Dec 2018 08:00:00 -0000

ros-crystal-rosbag2-storage (0.0.1-0bionic) bionic; urgency=high

  * rename topic_with_types to topic_metadata
  * GH-142 replace map with unordered map where possible (#65 <https://github.com/ros2/rosbag2/issues/65>)
  * Use converters when recording a bag file (#57 <https://github.com/ros2/rosbag2/issues/57>)
  * use uint8 for serialized message (#61 <https://github.com/ros2/rosbag2/issues/61>)
  * Renaming struct members for consistency (#64 <https://github.com/ros2/rosbag2/issues/64>)
  * Use converters when playing back files (#56 <https://github.com/ros2/rosbag2/issues/56>)
  * Implement converter plugin for CDR format and add converter plugins package (#48 <https://github.com/ros2/rosbag2/issues/48>)
  * Display bag summary using ros2 bag info (#45 <https://github.com/ros2/rosbag2/issues/45>)
  * Use directory as bagfile and add additonal record options (#43 <https://github.com/ros2/rosbag2/issues/43>)
  * Introduce rosbag2_transport layer and CLI (#38 <https://github.com/ros2/rosbag2/issues/38>)
  * Add correct timing behaviour for rosbag play (#32 <https://github.com/ros2/rosbag2/issues/32>)
  * Improve sqlite usage and test stability (#31 <https://github.com/ros2/rosbag2/issues/31>)
  * Record and play multiple topics (#27 <https://github.com/ros2/rosbag2/issues/27>)
  * Allow an arbitrary topic to be recorded (#26 <https://github.com/ros2/rosbag2/issues/26>)
  * Use serialized message directly (#24 <https://github.com/ros2/rosbag2/issues/24>)
  * initial version of plugin based storage api (#7 <https://github.com/ros2/rosbag2/issues/7>)
  * (demo, sqlite3) First working rosbag2 implementation (#6 <https://github.com/ros2/rosbag2/issues/6>)
  * initial setup
  * Contributors: Alessandro Bottero, Andreas Greimel, Andreas Holzner, Karsten Knese, Martin Idel

 -- Karsten Knese <karsten.knese@googlemail.com>  Tue, 11 Dec 2018 08:00:00 -0000

=== debian/control ===
Source: ros-crystal-rosbag2-storage
Section: misc
Priority: extra
Maintainer: Karsten Knese <karsten@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-crystal-ament-cmake, ros-crystal-ament-cmake-gmock, ros-crystal-ament-cmake-gtest, ros-crystal-ament-lint-auto, ros-crystal-ament-lint-common, ros-crystal-pluginlib, ros-crystal-rcutils, ros-crystal-rosbag2-test-common, ros-crystal-yaml-cpp-vendor, ros-crystal-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-crystal-rosbag2-storage
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-crystal-pluginlib, ros-crystal-rcutils, ros-crystal-yaml-cpp-vendor, ros-crystal-ros-workspace
Description: ROS2 independent storage format to store serialized ROS2 messages

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/crystal/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/crystal" \
		-DAMENT_PREFIX_PATH="/opt/ros/crystal"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-crystal-rosbag2-storage//opt/ros/crystal/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_install
